<?php
return array(
	'phpsettings' => array(
		//Enter your timezone in format "Continent/City". Check list of supported timezones here: http://www.php.net/manual/en/timezones.php.
		'date.timezone' => 'Europe/Belgrade',
		
		//Don't touch these two items!
		'display_startup_errors' => 0,
		'display_errors' => 0
	),
    'db' => array( 
		//Edit your database settings:
		'host'     => 'localhost', //You'll probably won't need to change this value.
		'username' => 'root', //Database username
		'password' => '', //... and password.
		'dbname'   => '', //Database name.
		'charset'  => 'utf8' //Database charset.
	),
	'resources' => array(
		//Language settings:
		'locale'  => array(
			'default' => 'en', //You can set your language id here, but make sure that you have appropriate language files in libs/ZendFramework/library/Zend/Locale/Data dir, as this CMS comes only with needed files (en.xml). If you're unsure, just leave this option as is.
			'force'=> true
		),
		
		//Do NOT touch anything below!
		
		'translate' => array(
			'adapter' => 'Array',
			'data' 	  => APPLICATION_PATH . '/configs/langs',
			'options' => array(
				'scan' => 'filename'
			)
		),
		'frontController' => array(
			'controllerDirectory' => APPLICATION_PATH . '/controllers',
			'moduleDirectory' 	  => APPLICATION_PATH . '/modules'
		),
		'view' => array(
			'doctype'=>'XHTML1_TRANSITIONAL',
			'helperPath' => array(
				'WebfolioCMS_View_Helper' => BASE_PATH . '/libs/WebfolioCMS/View/Helper',
				'ZendX_JQuery_View_Helper' => 'ZendX/JQuery/View/Helper'
			)
		),
		'router' => array(
			'routes' => array(
				'wf_page' => array(
					'type' 	   => 'Zend_Controller_Router_Route',
					'route'    => ':page',
					'defaults' => array(
						'module' 	 => 'default',
						'controller' => 'index',
						'action' 	 => 'index',
						'page'		 => false
					),
					'reqs' => array(
						'page' => '[a-zA-Z0-9\-]*'
					)
				),
				'wf_feed' => array(
					'type' 	   => 'Zend_Controller_Router_Route',
					'route'    => 'feed/:format',
					'defaults' => array(
						'module' 	 => 'default',
						'controller' => 'feed',
						'action' 	 => 'index',
						'format'	 => false
					)
				)
			)
		),
		'cachemanager' => array(
			'default'=>array(
				'frontend'=>array(
					'options'=>array('lifetime' => null)
				),
				'backend'=>array(
					'options'=>array('cache_dir' => BASE_PATH . '/data/tmp/cache')
				)
			)
		),
		'hooks' => array(
			'sidebarItem' => array(
				'helperName' => 'WFSidebarMenu',
				'settings' => array(
                    'make_collapsible' => 1,
                    'collapse_from_level'=>1,
                    'event_type'=>'click' 
                )
			),
			'contentParser' => array('Model_ContentParser_Smileys', 'Model_ContentParser_ContactForm'),
			'contentPlugin' => array(
				array(
					'type'	     => 'postContent',
					'helperName' => 'WFComments'
				)
			)
		),
		'modules' => ''
	),
	'bootstrap' => array(
		'path'  => APPLICATION_PATH . '/Bootstrap.php',
		'class' => 'Bootstrap'
	),
	'pluginpaths' => array(
		'WebfolioCMS_Application_Resource' => BASE_PATH . '/libs/WebfolioCMS/Application/Resource'
	)
);
?>