<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * IndexController for handling requests for displaying both 
 * webfolio pages and items.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class IndexController extends Zend_Controller_Action 
{
	/**
	 * Default action.
	 * 
	 * @return void
	 */
	public function indexAction()
	{			
		$webfolioEntriesDbTable = new Model_DbTable_WebfolioEntries();
		
		$where = 'id = 1 AND status = \'published\''; //Home page by default.
		
		$entry = null;
		if ($page = $this->_request->getParam('page')) { //Webfolio pages?
			$entry = $page;
		}
		elseif ($item = $this->_request->getParam('item')) { //Webfolio items?
			$entry = $item;
		}
		
		if ($entry != null) {
			$where = array('title_url_format = ? AND status = \'published\'' => $entry);
		}
		
		//Getting entry data.
		$this->view->entry = $webfolioEntriesDbTable->fetchRow($where);
	}
}
?>