<?php
/**
 * Parser model that is replacing [WF_ContactForm] tag with HTML 
 * of a AJAX contact form.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Model_ContentParser_ContactForm implements WebfolioCMS_ContentParser_Interface
{
	/**
	 * Defined by WebfolioCMS_ContentParser_Interface.
	 *
	 * Parses [WF_ContactForm] tag.
	 *
	 * @param string Text that will be parsed.
	 * @return string
	 */
	public function parse($text)
	{
		if (strpos($text, '[WF_ContactForm]') !== false) {
            $contactForm = new Form_Contact();
			$text = preg_replace('/(<p>)?\s?\[WF_ContactForm\]\s?(<\/p>)?/', $contactForm->__toString(), $text);
		}
		
		return $text;
	}
}
?>