<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * WebfolioComments table data gateway.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Model_DbTable_WebfolioComments extends Zend_Db_Table
{
	/**
     * The table name.
     *
     * @var string
     */
	protected $_name = 'wf_comments';
	
	/**
     * The primary key column.
     *
     * @var string
     */
	protected $_primary = 'id';
	
	/**
     * Hardcoding metadata because of performance.
     *
     * @var array
     */
	protected $_metadata  = array(
		'id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'id',
			'COLUMN_POSITION'  => 1,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => true,
			'PRIMARY_POSITION' => 1,
			'IDENTITY'         => true
		),
		'wf_entry_id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'wf_entry_id',
			'COLUMN_POSITION'  => 2,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'author_name' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'author_name',
			'COLUMN_POSITION'  => 3,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 70,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'author_email' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'author_email',
			'COLUMN_POSITION'  => 4,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 100,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'author_url' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'author_url',
			'COLUMN_POSITION'  => 5,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => true,
			'LENGTH'           => 200,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'author_ip' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'author_ip',
			'COLUMN_POSITION'  => 6,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => null,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'author_browser' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'author_browser',
			'COLUMN_POSITION'  => 7,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 255,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'text' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'text',
			'COLUMN_POSITION'  => 8,
			'DATA_TYPE'        => 'text',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => null,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'datetime' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'datetime',
			'COLUMN_POSITION'  => 9,
			'DATA_TYPE'        => 'datetime',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => null,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'status' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_comments',
			'COLUMN_NAME'      => 'status',
			'COLUMN_POSITION'  => 10,
			'DATA_TYPE'        => "enum('approved','ready','awaiting','spam')",
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => null,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		)
	);
	
	/**
     * Associative array map of declarative referential integrity rules.
     * This array has one entry per foreign key in the current table.
     * Each key is a mnemonic name for one reference rule.
     *
     * @var array
     */
	protected $_referenceMap = array(
        'WFEntries' => array(
            'columns'       => array('wf_entry_id'),
            'refTableClass' => 'Model_DbTable_WebfolioEntries',
            'refColumns'    => array('id'),
            'onDelete'      => self::CASCADE
        )
    );
	
	/**
	 * Checking whether user is trying to submit comment more than 
	 * some limit.
	 *
	 * @param int Limit.
	 * @param int Webfolio entry id.
	 * @param string User's IP address.
	 * @return bool
	 */
	public function isOverLimit($limit, $WFEntryId, $authorIp)
	{	
		$limit = (int)$limit;
		
		$dbAdapter = $this->getAdapter();
		
		$limitSql = 'SELECT id, wf_entry_id, author_ip FROM wf_comments ORDER BY datetime DESC';
		$limitSql = $dbAdapter->limit($limitSql, $limit);
		
		$sql = 'SELECT COUNT(last.id) AS \'count\'
				FROM (' . $limitSql . ') AS last
				WHERE last.wf_entry_id = ' . $dbAdapter->quote($WFEntryId, Zend_DB::INT_TYPE) . ' AND last.author_ip = ' . $dbAdapter->quote($authorIp);
		
		$result = $dbAdapter->fetchRow($sql);
		
		if ($result) {
			return $result['count'];
		}
		else {
			return null;
		}
	}
}
?>