<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * WebfolioUserMeta table data gateway.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Model_DbTable_WebfolioUserMeta extends Zend_Db_Table
{
	/**
     * The table name.
     *
     * @var string
     */
	protected $_name = 'wf_user_meta';
	
	/**
     * The primary key column.
     *
     * @var string
     */
	protected $_primary = 'id';
	
	/**
     * Hardcoding metadata because of performance.
     *
     * @var array
     */
	protected $_metadata  = array(
		'id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_user_meta',
			'COLUMN_NAME'      => 'id',
			'COLUMN_POSITION'  => 1,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => true,
			'PRIMARY_POSITION' => 1,
			'IDENTITY'         => true
		),
        'user_id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_user_meta',
			'COLUMN_NAME'      => 'user_id',
			'COLUMN_POSITION'  => 2,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'key' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_user_meta',
			'COLUMN_NAME'      => 'key',
			'COLUMN_POSITION'  => 3,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 100,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
        'value' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_user_meta',
			'COLUMN_NAME'      => 'value',
			'COLUMN_POSITION'  => 4,
			'DATA_TYPE'        => 'text',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => null,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		)
	);

    /**
     * Associative array map of declarative referential integrity rules.
     * This array has one entry per foreign key in the current table.
     * Each key is a mnemonic name for one reference rule.
     *
     * @var array
     */
	protected $_referenceMap = array(
        'WFUsers' => array(
            'columns'       => array('user_id'),
            'refTableClass' => 'Model_DbTable_WebfolioUsers',
            'refColumns'    => array('id'),
            'onDelete'      => self::CASCADE
        )
    );
}
?>