<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * WebfolioGroups model.
 *
 * Utilizes the Data Mapper pattern to persist data. Represents 
 * a single group.
 * 
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Model_WebfolioGroups extends Model_Base
{
	/**
	 * Category id.
	 *
	 * @var int
	 */
	protected $id;
	
	/**
	 * Username.
	 *
	 * @var string
	 */
	protected $name;
	
	/**
	 * Sets id.
	 * 
	 * @param int Group id.
	 * @return Model_WebfolioGroups
	 */
    public function setId($id)
    {
        $this->id = (int) $id;
		
        return $this;
    }

    /**
	 * Retrieves group's id.
	 * 
	 * @return null|int
	 */
    public function getId()
    {
        return $this->id;
    }

	/**
	 * Sets group's name.
	 * 
	 * @param string Name of the group.
	 * @return Model_WebfolioGroups
	 */
    public function setName($name)
    {
        $this->name = $name;
		
        return $this;
    }

    /**
	 * Retrieves category username.
	 * 
	 * @return null|string
	 */
    public function getName()
    {
        return $this->username;
    }
}
?>