<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Admin module bootstrap file.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Bootstrap extends Zend_Application_Module_Bootstrap
{
	/**
	 * Adding custom controller plugins.
	 *
	 * @return void
	 */
	protected function _initFrontPlugins()
    {
		$front = Zend_Controller_Front::getInstance();
		$front->registerPlugin(new Admin_Plugin_LayoutInit());
        $front->registerPlugin(new Admin_Plugin_AdminAuthChecker(), -100);
    }
	
	/**
	 * Adding routes.
	 *
	 * @return void
	 */
	protected function _initRoutes()
    {
		$routesConfig = new Zend_Config_Ini(APPLICATION_PATH . '/modules/admin/configs/routes.ini');
		
		Zend_Controller_Front::getInstance()->getRouter()->addConfig($routesConfig, 'routes');
    }

    /**
	 * Initializing remember me functionality.
	 *
	 * @return void
	 */
    protected function _initRememberMe()
    {
        //We should run "Remember me" here, in order to rememberMe functionality work in login
        //controller, as that function must be called before performing any session-related activity.
        if ((bool)Model_WebfolioSettings::getSettings('remember_me_marker') == true) { //Only if user checked "Stay signed in" during login process.
            Zend_Session::rememberMe();
        }
    }
}
?>