<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Controller for handling logout action.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_LogoutController extends Zend_Controller_Action 
{		
	/**
	 * Default action (logout).
	 * 
	 * @return void
	 */
	public function indexAction()
	{
        Zend_Session::destroy();
		Model_WebfolioSettings::updateSetting('remember_me_marker', '0');

        if ($redirectTo = $this->_getParam('redirect')) {
            $this->_helper->redirector->gotoUrl($redirectTo, array('prependBase'=>false));
        }
        else {
            $this->_helper->redirector('index', 'login', 'admin');
        }
	}
}
?>