<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Form for editing app settings.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Form_AppSettings extends Admin_Form_AbstractForm
{
	/**
	 * Initializing form.
	 *
	 * @return Zend_Form
	 */
	public function init()
	{
		$useWebfolioPage = new Zend_Form_Element_Checkbox('use_webfolio_page', array('disableLoadDefaultDecorators'=>true, 'autoInsertNotEmptyValidator'=>false));
		
		$useSmileys = new Zend_Form_Element_Checkbox('use_smileys', array('disableLoadDefaultDecorators'=>true, 'autoInsertNotEmptyValidator'=>false));
		
		$uploadPath = new Zend_Form_Element_Text('upload_path', array('disableLoadDefaultDecorators'=>true, 'autoInsertNotEmptyValidator'=>false));
		$uploadPath->addFilter(new Zend_Filter_StringTrim());
		$uploadPath->addValidator(new Zend_Validate_File_Exists(BASE_PATH));
		$uploadPath->addErrorMessage('That folder does not exist on path: ' . BASE_PATH);
		
		$enableRss = new Zend_Form_Element_Checkbox('enable_rss_wf_items', array('disableLoadDefaultDecorators'=>true, 'autoInsertNotEmptyValidator'=>false));
		
		$this->setDisableLoadDefaultDecorators(true);
		$this->addElements(array($useWebfolioPage, $useSmileys, $uploadPath, $enableRss));
	}
}
?>