<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Form for editing files of some theme.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Form_EditTheme extends Admin_Form_AbstractForm
{
	/**
	 * Initializing form.
	 *
	 * @return Zend_Form
	 */
	public function init()
	{
		$fileContent = new Zend_Form_Element_Textarea('fileContent', array('required'=>true, 'disableLoadDefaultDecorators'=>true));
		$fileContent->addErrorMessage('Please supply some content.');
		
		$fileName = new Zend_Form_Element_Hidden('fileName', array('disableLoadDefaultDecorators'=>true));
		
		$this->setDisableLoadDefaultDecorators(true);
		$this->addElements(array($fileContent, $fileName));
	}
}
?>