<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Form for adding/editing users groups.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Form_Groups extends Admin_Form_AbstractForm
{
    /**
     * Should we disable loading the default decorators?
	 *
     * @var bool
     */
    protected $_disableLoadDefaultDecorators = true;

	/**
	 * Initializing form.
	 *
	 * @return Zend_Form
	 */
	public function init()
	{
		$name = new Zend_Form_Element_Text('name', array('disableLoadDefaultDecorators'=>true, 'required'=>true));
		$name->addFilter(new Zend_Filter_StringTrim());
        $name->addValidator(new Zend_Validate_Regex('/^[a-z0-9\-_\s]+$/i'));
		$name->addErrorMessage('Name of the group can\'t be empty and should contain only alpha-numeric, white space, dash and underscore characters.');
		
		$this->addElements(array($name));
	}
}
?>