<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Form for publishing/editing new webfolio item.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Form_Item extends Admin_Form_WFEntry
{	
	/**
     * Initialize form.
     *
     * @return void
     */
    public function init()
    {
		$deleteButton = new Zend_Form_Element_Button('delete', array('label'=>'Delete', 'class'=>'button', 'disableLoadDefaultDecorators'=>true, 'decorators'=>array('ViewHelper')));
		$this->addElement($deleteButton);
		unset($this->_order['delete']); //So this element can be removed from both form and "buttons" display group.
		$this->getDisplayGroup('buttons')->addElement($deleteButton);
		
		$this->datetime
			->setLabel('Date')
			->setErrorMessages(array('Please supply valid date.'))
			->setJQueryParams(array('appendText'=>' (YYYY-MM-DD)', 'onSelect'=> new Zend_Json_Expr('function(dateText, inst) { }')))
			->getValidator('date')->setFormat('YYYY-MM-dd');
    }
}
?>