<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Abstract model that provides functions for managing 
 * Webofolio CMS settings.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
abstract class Admin_Model_WebfolioSettings_Abstract
{
	/**
	 * Group of settings.
	 *
	 * @var array
	 */
	protected $settings = array();
	
	/**
	 * Gets settings' values. Uses Model_WebfolioSettings.
	 *
	 * @return mixed
	 */
	public function getValues()
	{
		return Model_WebfolioSettings::getSettings($this->settings);
	}
	
	/**
	 * Saves current settings.
	 *
	 * @param array Array with settings and their values.
	 * @return void
	 */
	public function save($data)
	{
		foreach ($data as $name=>$value) {
			if (in_array($name, $this->settings)) {
				Model_WebfolioSettings::updateSetting($name, $value);
			}
		}
	}
}
?>