<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Controller plugin which sets admin layout, if admin module, 
 * or admin controller of some other module, is requested.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Admin_Plugin_LayoutInit extends Zend_Controller_Plugin_Abstract
{
	/**
	 * Redefining routeShutdown hook.
	 *
	 * @return void
	 */
	public function routeShutdown(Zend_Controller_Request_Abstract $request)
    {
		$module = $request->getModuleName();
		$controller = $request->getControllerName();
		
		if ($module == 'admin' || $controller == 'admin') { //Admin module or some other module with admin controller.
			$layoutPath = APPLICATION_PATH . '/modules/admin/layouts/full';
			
			//Login controller, or not logged in, which means that user is redirected to login controller.
			if ($controller == 'login' || !WebfolioCMS_Common::isUserLoggedIn()) {
				$layoutPath = APPLICATION_PATH . '/modules/admin/layouts/basic';
			}
			
			Zend_Layout::getMvcInstance()->setLayoutPath($layoutPath);
		}
	}
}
?>