<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper that holds array with admin panel pages.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_AdminMenu extends WebfolioCMS_View_Helper_WFMenu_Abstract 
{
	/**
	 * Initializing view helper.
	 *
	 * @return Zend_View_Helper_AdminMenu
	 */
	public function adminMenu() 
	{
		if (!isset($this->pages)) {
			$this->pages = Admin_Model_WFAdminMenu::get();

            $this->view->navigation()->menu()->setUseTranslator(false);
            $this->view->navigation()->menu()->setAcl(WebfolioCMS_Common::getAcl());
            $this->view->navigation()->menu()->setRole((string)WebfolioCMS_Auth::getInstance()->getIdentity()->group_id);
		}
        
		return $this;
	}
	
	/**
	 * Generates navigation menu.
	 *
	 * @return string
	 */
	public function navbar()
	{
		$output = $this->renderMenu(array('ulClass'=>'', 'maxDepth'=>0));
		
		$output = str_replace('<ul>', '<ul id = "nav">', $output);
		
		return $output;
	}
	
	/**
	 * Generates sub-navigation menu links.
	 *
	 * @return string
	 */
	public function subNavbar()
	{
		$options = array('ulClass'=>'', 'minDepth'=>1, 'maxDepth'=>1);

		$output = $this->renderMenu($options);
		$output = str_replace('<ul>', '<ul id = "subnav">', $output);
		
		return $output;
	}
}
?>