<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Admin module ViewHelper for generating link to the page for 
 * managing comments that are marked as spam.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_AkismetSpamLink extends Zend_View_Helper_Abstract
{
	/**
	 * Generates link to webfolio home page.
	 *
	 * @return string
	 */
	public function akismetSpamLink()
	{
		$output = '';
		
		if (Model_WebfolioSettings::getInstance()->getSettings('use_akismet') == true && WebfolioCMS_Common::isUserAllowed(WebfolioCMS_Auth::getInstance()->getIdentity()->group_id, 'admin_comments', 'spam')) {
			$webfolioComments = new Model_DbTable_WebfolioComments();
			$spamCommentsCount = $webfolioComments->fetchAll('status = \'spam\'')->count();
			
			$output = '<div style = "margin-top: 10px;"><a href = "' . $this->view->url(array('module'=>'admin', 'controller'=>'comments', 'action'=>'spam'), 'default', true) . '" style = "font-size: 14px;">Akismet spam (' . $spamCommentsCount . ')</a></div>';
		}
		
		return $output;
	}
}
?>