<?php
/* 
 * Webfolio CMS
 * 
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 * 
 * This file is part of Webfolio CMS.
 * 
 * Webfolio CMS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Webfolio CMS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * View helper for rendering combo box with available user
 * groups in it.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_GroupsComboBox extends Zend_View_Helper_Abstract
{
    /**
	 * Renders combo box with available user groups.
	 *
     * @param string Name of the combo box that will be rendered.
     * @param int Id of a group that will be selected. (optional)
	 * @return string
	 */
	public function groupsComboBox($name, $value = null)
	{
        $options = array(''=>'Select group');

        $groupsDbTableModel = new Model_DbTable_WebfolioGroups();

        foreach ($groupsDbTableModel->fetchAll(null, 'name ASC') as $group) {
            $options[$group['id']] = $group['name'];
        }

        return $this->view->formSelect($name, (int)$value, null, $options);
    }
}
?>
