<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Admin module ViewHelper for generating text in header of 
 * every admin panel page.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_HeaderText extends Zend_View_Helper_Abstract
{
	/**
	 * Generates header text.
	 *
	 * @return string
	 */
	public function headerText()
	{
		if (Zend_Controller_Front::getInstance()->getRequest()->getControllerName() == 'index') {
			return '<h1>Welcome to Webfolio CMS Admin panel! <span style = "font-size: 12px;">[<a href = "' . $this->view->url(array(), 'default', true) . '">go to ' . $this->view->getSettings('site_title') . '</a>]</span></h1>';
		}
		else {
			return '<h1><a href = "' . $this->view->url(array(), 'default', true) . '">' . $this->view->getSettings('site_title') . '</a> | Admin panel</h1>';
		}
	}
}
?>