<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */

/* DEPRECATED FROM VERSION 1.1 */

/**
 * Admin module ViewHelper for generating statistics, that 
 * will appear in the bottom of admin panel's start page.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_Statistics extends Zend_View_Helper_Abstract
{
	/**
	 * Generates statistics.
	 *
	 * @return string
	 */
	public function statistics()
	{
		$sql = "SELECT 
			(SELECT COUNT(id) FROM wf_entries  WHERE type = 'item') AS 'items_count', 
			(SELECT COUNT(id) FROM wf_comments WHERE status = 'approved') AS 'approved_comments_count',
			(SELECT COUNT(id) FROM wf_comments WHERE status = 'awaiting') AS 'awaiting_comments_count'";
			
		$dbHandler = Zend_Registry::get('dbHandler');
		
		$statistics = $dbHandler->fetchRow($sql);
		
		return 'You have ' . $statistics['items_count'] . ' items in your webfolio. There are also ' . $statistics['approved_comments_count'] . ' approved comments, and ' . $statistics['awaiting_comments_count'] . ' are awaiting moderation.';
	}
}
?>