<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper for generating combo box, with list of all 
 * available themes in it.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_ThemesComboBox
{
	/**
	 * Generates panel for editing theme.
	 *
	 * @param string Dir name of theme that is currently being edited.
	 * @return string
	 */
	public function themesComboBox($currentThemeDir) 
	{
		$output = '
			<select id = "themesList" name = "themesList" onchange = "var theme = this.value; var loc = window.location.href; loc = loc.substr(0, loc.indexOf(\'edit\') + 4); window.location = loc + \'/\' + theme;">';
				
		$themesDir = new Admin_Model_DirContent_Themes();
		$themesInfo = $themesDir->getThemesInfo();
		
		foreach ($themesInfo as $theme) {	
			$selected = '';
			if ($theme['dirName'] == $currentThemeDir) {
				$selected = ' selected = "selected"';
			}
			
			$output .= '
				<option value = "' . urlencode($theme['dirName']) . '"' . $selected . '>' . $theme['name'] . '</option>';
		}
		
		$output .= '
			</select>';
			
		return $output;
	}
}
?>