<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper for generating small menu in the top right of 
 * the page.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_TopRightMenu extends Zend_View_Helper_Abstract
{
	/**
	 * Generates top right menu.
	 *
	 * @return string
	 */
	public function topRightMenu()
	{	
		
		$output = '
			<span style = "float: right">
				Welcome <a href = "' . $this->view->url(array(), 'admin_user_edit', true) . '">' . WebfolioCMS_Auth::getInstance()->getIdentity()->public_name . '</a> |
				<a href = "' . $this->view->url(array('module'=>'admin', 'controller'=>'logout', 'action'=>'index'), 'default', true) . '">Logout</a> | 
				<a href = "' . $this->view->url(array('module'=>'admin', 'controller'=>'index'), 'default', true) . '">Start page</a> | 
				<a href = "mailto:posa.nikola@gmail.com">Help</a>
			</span>';
		
		return $output;
	}
}
?>