<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper for generating login/logout form in public 
 * sidebar.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_WFSidebarLoginBox extends Zend_View_Helper_Abstract implements WebfolioCMS_View_Helper_WFSidebar_Interface
{
	/**
	 * Initializing view helper.
	 *
	 * @return Zend_View_Helper_WFSidebarLoginBox
	 */
	public function WFSidebarLoginBox() 
	{
		return $this;
	}
	
	/**
	 * Defined by WebfolioCMS_View_Helper_WFSidebar_Interface.
	 *
     * @param array $settings Settings for rendering (optional).
	 * @return string
	 */
	public function sidebarRender($settings = null)
	{
		$output = '';
		
		if (!WebfolioCMS_Common::isUserLoggedIn()) { //If user is not authenticated, we should output login link/form.
			$this->view->addScriptPath(APPLICATION_PATH . '/modules/admin/views/parts'); 
				
			$output .= '
		<p id = "login_link">
			<span>Log in</span>
		</p>
			
		' . $this->view->partial('login_form.phtml', array('useRememberMeTooltip'=>false)) . '
		
		<p id = "login_message"></p>';
		}
		else { //... or if he/she is authenticated, we should output link to admin panel and logout link.
			$output .= '
			<p style = "padding-left: 7px;">
				<a href = "' . $this->view->url(array('module'=>'admin', 'controller'=>'index'), 'default', true) . '">' . $this->view->translate('goToAdmin') . '</a> <br />
				<a href = "' . $this->view->url(array('module'=>'admin', 'controller'=>'logout', 'action'=>'index'), 'default', true) . '">' . $this->view->translate('logout') . '</a>
			</p>
			';
		}
		
		return $output;
	}
}
?>