<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * WebfolioTermRelations table data gateway.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Taxonomy_Model_DbTable_WebfolioTermRelations extends Zend_Db_Table
{
	/**
     * The table name.
     *
     * @var string
     */
	protected $_name = 'wf_term_relations';
	
	/**
     * The primary key column.
     *
     * @var array
     */
	protected $_primary = array('content_id', 'term_id');
	
	/**
     * Associative array map of declarative referential integrity rules.
     * This array has one entry per foreign key in the current table.
     * Each key is a mnemonic name for one reference rule.
     *
     * @var array
     */
	protected $_referenceMap = array(
        'Terms' => array(
            'columns'       => array('term_id'),
            'refTableClass' => 'Taxonomy_Model_DbTable_WebfolioTerms',
            'refColumns'    => array('id'),
            'onDelete'      => self::CASCADE
        )
    );
	
	/**
     * Hardcoding metadata because of performance.
     *
     * @var array
     */
	protected $_metadata  = array(
		'content_id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_term_relations',
			'COLUMN_NAME'      => 'content_id',
			'COLUMN_POSITION'  => 1,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => true,
			'PRIMARY_POSITION' => 1,
			'IDENTITY'         => false
		),
		'term_id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_term_relations',
			'COLUMN_NAME'      => 'term_id',
			'COLUMN_POSITION'  => 2,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => true,
			'PRIMARY_POSITION' => 2,
			'IDENTITY'         => false
		)
	);
}
?>