<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * WebfolioTerms table data gateway.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Taxonomy_Model_DbTable_WebfolioTerms extends NP_Db_Table_NestedSet
{
	/**
     * The table name.
     *
     * @var string
     */
	protected $_name = 'wf_terms';
	
	/**
     * The primary key column.
     *
     * @var string
     */
	protected $_primary = 'id';
	
	/**
     * Simple array of class names of tables that are "children" of 
	 * the current table.
     *
     * @var array
     */
	protected $_dependentTables = array('Taxonomy_Model_DbTable_WebfolioTermRelations');
	
	/**
     * Hardcoding metadata because of performance.
     *
     * @var array
     */
	protected $_metadata  = array(
		'id' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'id',
			'COLUMN_POSITION'  => 1,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => true,
			'PRIMARY_POSITION' => 1,
			'IDENTITY'         => true
		),
		'lft' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'lft',
			'COLUMN_POSITION'  => 2,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'rgt' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'rgt',
			'COLUMN_POSITION'  => 3,
			'DATA_TYPE'        => 'int',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 10,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => true,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'name' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'name',
			'COLUMN_POSITION'  => 4,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 200,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'name_url_format' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'name_url_format',
			'COLUMN_POSITION'  => 5,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 200,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		),
		'taxonomy' => array(
			'SCHEMA_NAME'      => null,
			'TABLE_NAME'       => 'wf_terms',
			'COLUMN_NAME'      => 'taxonomy',
			'COLUMN_POSITION'  => 6,
			'DATA_TYPE'        => 'varchar',
			'DEFAULT'          => null,
			'NULLABLE'         => false,
			'LENGTH'           => 70,
			'SCALE'            => null,
			'PRECISION'        => null,
			'UNSIGNED'         => null,
			'PRIMARY'          => false,
			'PRIMARY_POSITION' => null,
			'IDENTITY'         => false
		)
	);
	
	/**
     * Left column name in nested table.
     *
     * @var string
     */
	protected $_left = 'lft';
	
	/**
     * Right column name in nested table.
     *
     * @var string
     */
	protected $_right = 'rgt';
}
?>