<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper which renders popup link, which opens window 
 * from "Taxonomy" module, for adding new term, for some 
 * taxonomy.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_AddTermLink extends Zend_View_Helper_Abstract 
{
	/**
	 * Generates popup link.
	 *
	 * @param string Taxonomy for which popup form will be rendered.
	 * @param string Visible text of a link that will be rendered.
	 * @return string
	 */
	public function addTermLink($taxonomy, $linkLabel = null)
	{	
		$taxonomy = (string)$taxonomy;
		
		$linkLabel = ($linkLabel != null) ? (string)$linkLabel : 'Add new term';

		$this->view->headScript()->appendFile($this->view->baseUrl('front-end/js/taxonomy/add_term_link.js'));
		
		return '<a id = "add_term_link" class = "popup_link">' . $linkLabel . '</a>
		
		<input type = "hidden" id = "add_term_url" value = "' . $this->view->url(array('taxonomy'=>$taxonomy, 'popup'=>true), 'taxonomy_add_term', true) . '" />';
	}
}
?>