<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper for rendering site navigation menus.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class Zend_View_Helper_WFMenu extends WebfolioCMS_View_Helper_WFMenu_Abstract 
{
	/**
	 * Initializing view helper.
	 *
	 * @return Zend_View_Helper_WFMenu
	 */
	public function WFMenu() 
	{
		return $this;
	}
	
	/**
	 * Generates navbar menu.
	 *
	 * @param array Options for rendering navbar menu (optional).
	 * @return string
	 */
	public function navbar($options = array())
	{
		$options = array_merge(array('ulClass'=>'', 'maxDepth'=>0), $options); //Merging with default options.
		
		return $this->renderMenu($options);
	}
	
	/**
	 * Generates sidebar menu.
	 *
	 * @param array Options for rendering sidebar menu (optional).
	 * @return string
	 */
	public function sidebar($options = array())
	{
		$options = array_merge(array('ulClass'=>''), $options); //Merging with default options.
		
		return $this->renderMenu($options);
	}
}
?>