<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Script for handling AJAX requests for password recovery.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
include_once('../../../wf_init.php');

require_once('Zend/Application.php');

//Bootstrapping...
$application = new Zend_Application(APPLICATION_ENV, include APPLICATION_PATH . '/configs/wf_config.php');
$application->getBootstrap()->bootstrap(array('Autoloaders', 'DB', 'Locale', 'Translate', 'Modules'));

//Getting data sent from AJAX.
$credential = $_POST['credential'];

$webfolioUsers = new Model_WebfolioUsers();

//Checking whether user exists.
$where = $webfolioUsers->getMapper()->getDbTable()->getAdapter()->quoteInto('username = ? OR email = ?', $credential);
$user = $webfolioUsers->fetchRow($where);

if ($user != null) {
	$key = sha1($user->passwordSalt);
	
	$text = 'New password was requested for this username: ' . $user->username . '.' . "\r\n\r\n";
	$text .= 'To get it, click on the following link, otherwise, just ignore this email.' . "\r\n\r\n";
	$link = trim(Model_WebfolioSettings::getSettings('site_url'), '\\/') . '/admin/login/password-recovery?key=' . $key;
	$text .= '<a href = "' . $link . '">' . $link . '</a>';
	
	try {
		$webfolioMail = new WebfolioCMS_Mail('utf-8');
		@ $webfolioMail->addTo($user->email)->setSubject('Password recovery')->setBodyHtml($text)->send();
		
		echo Zend_Registry::get(WebfolioCMS_Application_Resource_Translate::DEFAULT_REGISTRY_KEY)->translate('passwordRecoveryEmailSent');
	}
	catch (Exception $ex) {
		echo 'An error occurred. Please try later.';
	}
}
else {
	echo Zend_Registry::get(WebfolioCMS_Application_Resource_Translate::DEFAULT_REGISTRY_KEY)->translate('unexistingUser');
}
?>