<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Script for handling AJAX requests for loading file of some 
 * theme.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
include_once('../../../wf_init.php');

require_once('Zend/Application.php');

//Bootstrapping...
$application = new Zend_Application(APPLICATION_ENV, include APPLICATION_PATH . '/configs/wf_config.php');
$application->getBootstrap()->bootstrap(array('Autoloaders', 'DB', 'Modules', 'Cachemanager'));

if (!WebfolioCMS_Common::isUserLoggedIn() || !WebfolioCMS_Common::isUserAllowed(WebfolioCMS_Auth::getInstance()->getIdentity()->group_id, 'admin_appearance_themes', 'edit')) {
	echo 'error';
	exit;
}

$action = $_POST['action'];

$themeDirName = $_POST['themeDirName'];
$fileName 	  = $_POST['fileName'];

try {
	$themesDir = new Admin_Model_DirContent_Themes();
	
	if ($action == 'load') {
		$fileContent = $themesDir->loadFile($themeDirName, $fileName);
		
		echo $fileContent;
	}
	elseif ($action == 'update') {
		$fileContent = $_POST['fileContent'];
		
		$editThemeForm = new Admin_Form_EditTheme();
			
		if ($editThemeForm->isValid(array('fileContent'=>$fileContent, 'fileName'=>$fileName))) {
			$data = $editThemeForm->getValues();
					
			$themesDir->updateFile($themeDirName, $data['fileName'], $data['fileContent']);
					
			echo 'ok_File has been successfully updated.';
		}
		else {
			$errorMessages = array();
			$messages = $editThemeForm->getMessages();
			foreach ($messages as $field=>$message) {
				$errorMessages[$field] = $message[0];
			}
			
			echo Zend_Json_Encoder::encode($errorMessages);	
		}
	}
}
catch (Exception $ex) {
	echo 'error_' . $ex->getMessage();
}
?>