<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Script for handling AJAX requests for rendering users/groups grid.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
include_once('../../../wf_init.php');

require_once('Zend/Application.php');

//Bootstrapping...
$application = new Zend_Application(APPLICATION_ENV, include APPLICATION_PATH . '/configs/wf_config.php');
$application->getBootstrap()->bootstrap(array('Autoloaders', 'DB', 'Modules', 'Cachemanager'));

if (!WebfolioCMS_Common::isUserLoggedIn()) {
	echo 'error';
	exit;
}

$action = $_POST['action'];

if (!WebfolioCMS_Common::isUserAllowed(WebfolioCMS_Auth::getInstance()->getIdentity()->group_id, 'admin_' . $action, 'index')) {
    echo 'error';
	exit;
}

$data = array();
if ($action == 'users') {
    $usersDbTableModel = new Model_DbTable_WebfolioUsers();
    $result = $usersDbTableModel->getManyWithMetaGroup(null, Model_DbTable_WebfolioUsers::USERS_TABLE_ALIAS . '.registration_datetime ASC');
    $users = $result->toArray();

    foreach ($users as $key=>$row) {
        $users[$key]['group'] = $row['group']->name;

        //We don't need these.
        unset($users[$key]['password']);
        unset($users[$key]['password_salt']);
        unset($users[$key]['meta']); 
    }

    $data = $users;
}
elseif ($action == 'groups') {
    $groupsDbTableModel = new Model_DbTable_WebfolioGroups();
    $groups = $groupsDbTableModel->fetchAll(null, 'name ASC');

    $data = $groups->toArray();
}

echo '{"' . $action . '":' . Zend_Json_Encoder::encode($data) . '}';
?>