<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Script for handling AJAX requests from comments pagination 
 * control.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
include_once('../../wf_init.php');

require_once('Zend/Application.php');

//Bootstrapping...
$application = new Zend_Application(APPLICATION_ENV, include APPLICATION_PATH . '/configs/wf_config.php');
$application->getBootstrap()->bootstrap(array('Autoloaders', 'DB', 'Locale', 'Translate', 'View', 'Router', 'Modules'));

$page 	   = (int)$_POST['page'];
$WFEntryId = $_POST['WFEntryId'];

//Getting comments.
$webfolioComments = new Model_WebfolioComments();
$where = $webfolioComments->getMapper()->getDbTable()->getAdapter()->quoteInto('status = \'approved\' AND wf_entry_id = ?', $WFEntryId, Zend_DB::INT_TYPE);

$commentsPaginator = new Zend_Paginator(new WebfolioCMS_Paginator_Adapter_Model($webfolioComments, array('where'=>$where, 'order'=>'datetime DESC')));
$commentsPaginator->setItemCountPerPage((int)Model_WebfolioSettings::getSettings('comments_count_per_page'));
$commentsPaginator->setCurrentPageNumber($page);

$data = array(
	'comments' => $commentsPaginator
);

//Setting view, so we can use view resources (scripts, helpers) of default module.		
$view = $commentsPaginator->getView();
$view->addScriptPath(BASE_PATH . '/front-end/themes/' . Model_WebfolioSettings::getSettings('theme_dir'));
$view->addBasePath(APPLICATION_PATH . '/views');

Zend_Controller_Front::getInstance()->getRouter()->addDefaultRoutes();
//Getting output of "comments" partial script of active theme.	
$view->addScriptPath(APPLICATION_PATH . '/views/parts'); //Because of pagination_control.phtml, which is stored in views/parts.	
$view->partial('comments.phtml', null, $data);

echo $view->placeholder('comments');
?>