/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
$(document).ready(function () {
    //Admin menu.
    //Initializing.
    $('#nav .parent').each(function(i) {
        var id = $(this).attr('id');
        id = id.substr(5);
        if ($('#subnav li a.' + id).length == 0) { //No sub-nav links for this menu container (due to ACL)? Hide it.
            $(this).parent().hide();
        }
    });

    checkForActive();

    //Mouseover on some primary link.
    $('#nav .primary').mouseover(function() {
        if (!$(this).hasClass('parent')) {
            $('#subnav').hide();
        }
        else {
            var id = $(this).attr('id');
            id = id.substr(5);
            
            showSubByPrimaryId(id);
        }
    });

    //When mouse leaves whole menu.
    $('#header #admin_menu').mouseleave(function() {
        checkForActive();
    });
    
    function checkForActive()
    {
		var id = $('#nav li.active:first a').attr('id');
        if ($('#nav li.active').length == 0 || !$('#nav li #' + id).hasClass('parent')) { //No active primary links or active does not have child items? Hide sub-navigation.
            $('#subnav').hide();
        }
        else {
			showSubByPrimaryId(id.substr(5));
        }
    }

    function showSubByPrimaryId(id)
    {
		$('#subnav li').show(); //Show all by default.
        $('#subnav li a[class!=' + id + ']').parent().hide(); //Hide every which does not have active nav id as class.
        $('#subnav').show();
    }

    //Expandable tooltips.
	$(".wf_expandable").addClass("collapsed");
	
    $(".wf_expandable h3").bind('click', function(e){
		var target = $(e.target);
		target.next('.inner').toggle('normal');
		target.parent('.wf_expandable').toggleClass("collapsible");
    });

    //Expandable fieldsets.
	 $("form fieldset legend").bind('click', function(e){
		var target = $(e.target);
		target.next().toggle('normal');
		target.parent().toggleClass('collapsed');
    });

    //Alert form.
	if ($('.alert_form').length > 0) {
		$('.alert_form').protectData();
		$.protectData.message = 'There is unsaved data in your form.';
	}

    //WFEntry form.
	if ($('.wf_entry_form').length > 0) {
		$('.wf_entry_form #treePositionMenuToggle').click(function () {
			if ($('#treePositionMenu').is(':visible')) {
				$('#treePositionMenu').animate({opacity : 0}, function() {$(this).hide();}); 
				$(this).html('Go advanced');
			}
			else {
				$('#treePositionMenu').show().animate({opacity : 1}); 
				$(this).html('Cancel');
			}
		});
		
		$('.wf_entry_form #delete').click(function() {
			var formId = $(".wf_entry_form:first").attr('id');
			var type = formId.substr(formId.indexOf('_') + 1);
			
			//Ask user to confirm deleting.
			if (confirm('Are you sure you want to delete this entry?')) {
				var id = $('.wf_entry_form #id').val();
				var cascade = '0';
				
				//We have to ask user if he/she want to delete all children of webfolio entry that is being deleted.
				if (confirm('Do you want to delete all child entries as well?')) {
					cascade = '1';
				}
				
				$.ajax({
					type: 'POST',
					url: $('#base_url').val() + '/front-end/ajax_handlers/admin/delete.php',
					data: 'action=' + type + '&id=' + id + '&cascade=' + cascade,
					success: function(msg) {
						if (msg == 'ok') {
							//We should redirect after deleting some entry.
							var location = window.location.href;
							window.location = location.substr(0, location.indexOf('/', location.indexOf(type)));
						}
					}
				});
			}
		});
	}
});
