/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Front-end drag&drop panels.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
 
Ext.ns('WFAdminFrontEnd');

WFAdminFrontEnd.dropZone = function(grid, config) {
	this.grid = grid;
	WFAdminFrontEnd.dropZone.superclass.constructor.call(this, grid.view.scroller.dom, config);
};
Ext.extend(WFAdminFrontEnd.dropZone, Ext.dd.DropZone, {
   
	onContainerOver: function(dd, e, data) {
		return (dd.grid !== this.grid || this.grid.getXType().substr(0, 8) == 'selected') ? this.dropAllowed : this.dropNotAllowed;
	} 
   
	,onContainerDrop: function(dd, e, data) {
		if (dd.grid !== this.grid) {
			this.grid.store.add(data.selections);
			Ext.each(data.selections, function(r) {
				dd.grid.store.remove(r);
			});
			this.grid.onRecordsDrop(dd.grid, data.selections);
			
			return true;
		}
		else if (this.grid.getXType().substr(0, 8) == 'selected') {
			var t = e.getTarget();
			var v = this.grid.getView();
            var toRecordIndex = v.findRowIndex(t);
			
			var fromRecordId = data.selections[0].id; //Id of a record that is being dragged.
			var fromRecordIndex;
			
			//Getting fromRecordIndex.
			var allRecords = this.grid.store.getRange();
			for (var i in allRecords) {
				if (allRecords[i].id == fromRecordId) {
					fromRecordIndex = i;
					break;
				}
			}
			
			if (fromRecordIndex != toRecordIndex && toRecordIndex !== false) { //Only if user want to do drop on some other record.
				this.grid.store.removeAt(fromRecordIndex);
				this.grid.store.insert(toRecordIndex, data.selections[0]);
			}
			
			return true;
		}
		else {
			return false;
		}
	} 
  ,containerScroll: true 
});

WFAdminFrontEnd.dragDropAbstract = Ext.extend(Ext.grid.GridPanel, {
	//Defaults - configurable from outside.
	border: false
	,viewConfig:{
		forceFit:true
	}
	,layout: 'fit'
	,loadMask: true
	,enableDragDrop: true
	//,disableSelection: true
	,onRender:function() {
		WFAdminFrontEnd.dragDropAbstract.superclass.onRender.apply(this, arguments);
   
		this.dz = new WFAdminFrontEnd.dropZone(this, {ddGroup:this.ddGroup || 'GridDD'});
	} 
	,onRecordsDrop: function(grid, records) {
	}
});