/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Install page JS functions.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
 
$(document).ready(function () {
	$('#password').live('keyup', function() {
		if ($(this).attr('type') == 'text') { //Only first time.
			$(this).replaceWith('<input type = "password" name = "password" id = "password" value = "' + $(this).val() + '" size = "40" class = "password_test" style = "float: left;" />');
			setTimeout(function() { $("#password").focus(); }, 500); //IE hack.
			
			$(".password_test").passStrength({
				userid:	"#username"
			});
		}
		
		if ($('#re_password_panel').is(":hidden")) {
			$('#re_password_panel').show('normal');
			$('#re_password').removeAttr('disabled');
		}
	});
	
	$('#regenerate_link').click(function() {
		$.ajax({
			url: 'front-end/ajax_handlers/admin/regenerate_password.php',
			cache: false,
			success: function(msg) {
				if ($('#password').attr('type') == 'password') { //Only first time.
					$('#password').replaceWith('<input type = "text" name = "password" id = "password" size = "40" class = "password_test" style = "float: left;" />');
					
					$('#re_password').val('');
					$('#re_password_panel').hide('normal');
					$('#re_password').attr('disabled', 'disabled');
					$('#regenerate_link').prev(".testresult").remove();
				}
		
				$('#password').val(msg);
			}
		});
	});
	
	/**
	 * Does the redirection to login page (after 3 seconds), after 
	 * Webfolio CMS is succesfully installed.
	 */
	if ($('#seconds').length > 0) {
		var countDown = self.setInterval(
			function()
			{
				var second = parseInt($('#seconds').html());
				
				second = second - 1;
				$('#seconds').html(second);
				
				if (second == 0) {
					window.clearInterval(countDown);
					window.location = 'admin/login';
				}
			}, 
			1000
		);
	}
});	