/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Comments JS/AJAX functionality.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */

$(document).ready(function(){ 
	if ($('#pagination_control_comments').length > 0) {
		$('#pagination_control_comments .active').live('click', function() {
			$('#pagination_progress_img_comments').html('<img src = "' + $('#base_url').val() + '/front-end/img/ajax-loader.gif" alt = "Loading..." />');
		
			var page = $(this).attr('id').substr($(this).attr('id').indexOf('_')+1);
			
			$.ajax({
				type: 'POST',
				url: $('#base_url').val() + '/front-end/ajax_handlers/comments_pagination.php',
				data: 'page=' + page + '&WFEntryId=' + $('#WFEntryId').val(),
				success: function(msg) {
					//Outputing comments.
					$('#comments').html(msg);
				}
			});
			
		});
	}
	
	$('#comments_form').submit(function() {
		$(this).ajaxSubmit(
			{
				type: 'POST',
				url: $('#base_url').val() + '/front-end/ajax_handlers/comment_form.php',
				beforeSubmit: function(data, form, options) {
					$('#progressImg').html('<img src = "' + $('#base_url').val() + '/front-end/img/ajax-loader.gif" alt = "Sending..." />');
				},
				success: function(response, status, xhr) {
					$('.error_message').html('');
					$('#progressImg').html('');
					
					var msg = $.secureEvalJSON(response);
					
					if (msg == 'reload') {
						window.location.reload();
					} 
					else if (msg.status && msg.message) { //Regular message.
						$('#text').val(''); //Reseting text field.
						
						$('#message').show();
						$('#message').html('<p class = "message_' + msg.status + '">' + msg.message + '</p>');
						setTimeout('$(\'#message\').hide(\'slow\');', 3000);
					}
					else { //JSON (validation errors)?
						var errMsgs = msg;
						
						//Displaying validation messages.
						var marker = 0;
						for (var field in errMsgs) {
							$('#err_' + field).html(errMsgs[field]);
							if (marker == 0) {
								$('#' + field).focus();
								marker = 1;
							}
						}
					}
				}
			}
		); 
		
		return false; 
	});
}); 