<?php
/** 
 * Webfolio CMS
 * 
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 * 
 * This file is part of Webfolio CMS.
 * 
 * Webfolio CMS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Webfolio CMS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Assert which enables user to edit only his/her profile.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Acl_Assert_UserProfile implements Zend_Acl_Assert_Interface
{
    /**
     * Defined by Zend_Acl_Assert_Interface.
     *
     * @param Zend_Acl $acl
     * @param Zend_Acl_Role_Interface $role
     * @param Zend_Acl_Resource_Interface $resource
     * @param string $privilege
     * @return bool
     */
    public function assert(Zend_Acl $acl, Zend_Acl_Role_Interface $role = null, Zend_Acl_Resource_Interface $resource = null,
                           $privilege = null)
    {
        $controller = Zend_Controller_Front::getInstance()->getRequest()->getControllerName();
        $action = Zend_Controller_Front::getInstance()->getRequest()->getActionName();

        $id = ($resource instanceof WebfolioCMS_Acl_Resource && ($entryId = $resource->getResourceEntryId()) != null) ? $entryId : Zend_Controller_Front::getInstance()->getRequest()->getParam('id');

        if ($privilege == 'edit' && $resource == 'admin_users' && ((!$id && $controller == 'users' && $action == 'edit') || (int)$id == (int)WebfolioCMS_Auth::getInstance()->getIdentity()->id)) {
            return true;
        }
        else {
            return false;
        }
    }
}
?>
