<?php
/** 
 * Webfolio CMS
 * 
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 * 
 * This file is part of Webfolio CMS.
 * 
 * Webfolio CMS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Webfolio CMS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Custom ACL resource of this CMS.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Acl_Resource extends Zend_Acl_Resource
{
    /**
     * As all the resources in admin panel of Webfolio CMS are
     * usually pages which enables CRUD functionality for some
     * database entries (webfolio entries, users, groups, etc.), so 
	 * this variable can hold id or some unique identifier of such db 
	 * entry in case of edit or delete mode.
     *
     * @var mixed
     */
    protected $_resourceEntryId = null;

    /**
     * Defined by Zend_Acl_Resource
     *
     * @param string $resourceId
     * @param mixed $resourceEntryId
     * @return void
     */
    public function __construct($resourceId, $resourceEntryId = null)
    {
        parent::__construct($resourceId);

        if ($resourceEntryId != null) {
            $this->_resourceEntryId = $resourceEntryId;
        }
    }

    /**
     * Gets resource entry id.
     *
     * @return mixed
     */
    public function getResourceEntryId()
    {
        return $this->_resourceEntryId;
    }
}
?>
