<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Custom Auth_Adapter_DbTable class, with predefined 
 * paremeters for authentication.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Auth_Adapter_DbTable extends Zend_Auth_Adapter_DbTable
{
    /**
     * $_tableName - the table name to check
     *
     * @var string
     */
    protected $_tableName = 'wf_users';

    /**
     * $_identityColumn - the column to use as the identity
     *
     * @var string
     */
    protected $_identityColumn = 'username';

    /**
     * $_credentialColumns - columns to be used as the credentials
     *
     * @var string
     */
    protected $_credentialColumn = 'password';

    /**
     * $_credentialTreatment - Treatment applied to the credential, such as MD5() or PASSWORD()
     *
     * @var string
     */
    protected $_credentialTreatment = 'SHA1(CONCAT(?, password_salt))';

    /**
     * Constructor.
	 *
     * @return void
     */
    public function __construct()
    {
        $this->_zendDb = Zend_Registry::get('dbHandler');
    }

    /**
     * Defined by Zend_Auth_Adapter_DbTable.
     *
     * @return Zend_Auth_Result
     */
    protected function _authenticateCreateAuthResult()
    {
		$resultRow = $this->getResultRowObject(array('id', 'group_id', 'username', 'public_name'));
		
		$this->_authenticateResultInfo['identity'] = $resultRow;
		
		return parent::_authenticateCreateAuthResult();
    }
}
