<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Action helper that parses currently assigned content 
 * (page, webfolio item, or other content of some additional 
 * module which is also type of webfolio entry).
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Controller_Action_Helper_ContentParser extends Zend_Controller_Action_Helper_Abstract
{
    /**
     * Defined by Zend_Controller_Action_Helper_Abstract.
     *
     * @return void
     */
    public function postDispatch()
    {
		if (Zend_Registry::isRegistered(WebfolioCMS_Controller_Action_Helper_WFEntryFinder::CURRENT_WF_ENTRY_KEY)) { //Has some webfolio entry assigned?
			$key = Zend_Registry::get(WebfolioCMS_Controller_Action_Helper_WFEntryFinder::CURRENT_WF_ENTRY_KEY);
			$entry = $this->getActionController()->view->$key;
			
			foreach (Model_ContentParsers::get() as $parser) {
				$entry['text'] = $parser->parse($entry['text']);
			}
			
			$this->getActionController()->view->$key = $entry;
		}
    }

}
?>