<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Filter for parsing text supplied in comments form.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Filter_PrepareCommentsText implements Zend_Filter_Interface
{
	/**
	 * Defined by Zend_Filter_Interface,
	 *
	 * Returns the string $value, converting url text into HTML <a> tag, 
	 * and new lines into <br /> tag.
	 *
	 * @param string Some string (i.e.: comments text).
	 * @return string
	 */
	public function filter($value)
    {
		//Create url.
		$text = preg_replace('/(http:\/\/[^\s]+)/i', '<a href = "\1" rel = "nofollow">\1</a>', $value);
		
		//New lines to <br/> tag.
		$text = nl2br($text);
		
		return $text;
    }
}
?>