<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Custom form class.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Form extends Zend_Form
{
	/**
     * Defined by Zend_Form.
     *
     * Redefining this method so it can also accept object as param.
     * 
     * @param mixed $defaults 
     * @return Zend_Form
     */
    public function setDefaults($defaults)
    {
		if (is_array($defaults) || (is_object($defaults) && $defaults instanceof Model_Base)) {
			if (is_object($defaults)) {
				$new = array();
				
				foreach ($defaults as $key=>$value) {
					$new[$key] = $value;
				}
				
				$defaults = $new;
			}
			
			print_r($defaults);
			
			return parent::setDefaults($defaults);
		}
		else {
			return $this;
		}
    }
	
	/**
     * Defined by Zend_Form.
     *
     * Proxies to {@link setDefaults()}
     * 
     * @param mixed $values 
     * @return Zend_Form
     */
    public function populate($values)
    {
        return $this->setDefaults($values);
    }
}

