<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Validator that checks whether Akismet API key, supplied in 
 * comments-settings form, is valid.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_Validate_AkismetApiKey extends Zend_Validate_Abstract
{
	const AKISMET_API_KEY = 'akismetApiKey';
	
	/**
     * Validation failure message template definitions.
     *
     * @var array
     */
    protected $_messageTemplates = array(
        self::AKISMET_API_KEY => 'Supplied Akismet API key is not valid.'
    );

	/**
	 * Definded by Zend_Validate_Abstract.
	 *
	 * @param string Form element (Akismet API key) value.
	 * @return bool
	 */
    public function isValid($value)
    {
		$akismet = new Zend_Service_Akismet($value, Model_WebfolioSettings::getSettings('site_url'));
		
		return $akismet->verifyKey();
    }
}
?>