<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper which utilizes Teaser filter.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_View_Helper_Teaser extends Zend_View_Helper_Abstract
{
	/**
	 * Teaser filter instance.
	 *
	 * @var WebfolioCMS_Filter_Teaser
	 */
	protected $teaserFilter;
	
	/**
	 * Gets teaser filter instance.
	 *
	 * @return WebfolioCMS_Filter_Teaser
	 */
	public function getTeaserFilter()
	{
		if ($this->teaserFilter == null) {
			$this->teaserFilter = new WebfolioCMS_Filter_Teaser();
		}
		
		return $this->teaserFilter;
	}
	
	/**
	 * Does the "teasing" of some supplied text.
	 *
	 * @param string Some text.
	 * @param array Options for configuring Teaser filter (maps options param in constructor of Teaser filter class).
	 * @return string
	 */
	public function teaser($text, $options = array())
	{	
		$teaserFilter = $this->getTeaserFilter();
		$teaserFilter->setOptions($options);
		
		return $teaserFilter->filter($text);
	}
}
?>