<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper which returns url path to the active theme's 
 * dir, optionaly appending file path on it.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 */
class Zend_View_Helper_ThemeBaseUrl extends Zend_View_Helper_Abstract  
{
	/**
	 * Returns path to active theme's dir.
	 *
	 * @param string File path (optional).
	 * @return string
	 */
	public function themeBaseUrl($filePath = null)
	{
		if (null !== $filePath) {
            $filePath = '/' . ltrim($filePath, '/\\');
        }
		
		return $this->view->baseUrl('front-end/themes/' . Model_WebfolioSettings::getSettings('theme_dir') . $filePath);
	}
}
?>