<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * ViewHelper for displaying tooltip.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
class WebfolioCMS_View_Helper_Tooltip extends Zend_View_Helper_Abstract
{
	/**
	 * Generates tooltip.
	 *
	 * @param string Tooltip text.
	 * @param string Tooltip character (optional).
	 * @return string
	 */
	public function tooltip($text, $character = null)
	{	
		$character = ($character != null) ? $character : '<img style = "margin: 0px; padding: 0px; border: 0px;" src = "' . $this->view->baseUrl('front-end/img/info.png') . '" alt = "?" />';
		
		$this->view->headLink()->appendStylesheet($this->view->baseUrl('front-end/css/admin/bubble_tooltip.css'));
		
		return '
			<a href = "#" class = "tt" style = "text-decoration: none;">
				' . $character . '
				<span class = "tooltip"><span class = "top"></span><span class = "middle">' . $text . '</span><span class = "bottom"></span></span>
			</a>';
	}
}
?>