<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Abstract ViewHelper that enables rendering of menus in
 * Webfolio CMS.
 *
 * @author Nikola Posa, www.nikolaposa.in.rs
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
abstract class WebfolioCMS_View_Helper_WFMenu_Abstract extends Zend_View_Helper_Abstract 
{
	/**
	 * Pages that will be rendered.
	 *
	 * @var array
	 */
	protected $pages;
	
	/**
	 * Retrieves pages array.
	 *
	 * @return array
	 */
	public function getPages()
	{
		return $this->pages;
	}
	
	/**
	 * Sets pages that will be rendered.
	 *
	 * @param array Pages.
	 * @return void
	 */
	public function setPages($pages)
	{
		if (is_array($pages)) {
			$this->pages = $pages;
		}
	}
	
	/**
	 * Generates menus.
	 *
	 * @param array Options for rendering.
	 * @return string
	 */
	public function renderMenu($options = array())
	{
		$container = null;
		
		if (!empty($this->pages)) {
			$container = new Zend_Navigation($this->pages);
		}
		
		return $this->view->navigation()->menu()->renderMenu($container, $options);
	}
}
?>