<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Webfolio CMS db update script.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
include_once('wf_init.php');

include_once('Zend/Application.php');

try {
	$application = new Zend_Application(APPLICATION_ENV, include_once(APPLICATION_PATH . '/configs/wf_config.php'));
	$application->getBootstrap()->bootstrap(array('Autoloaders', 'DB'));
	
	include_once(APPLICATION_PATH . '/modules/admin/models/Update/Abstract.php');
	include_once(APPLICATION_PATH . '/modules/admin/models/Update/Core.php');
	include_once(APPLICATION_PATH . '/modules/admin/models/Install.php');

	$updateCore = new Admin_Model_Update_Core();
	
	if ($updateCore->isUpdated()) {
		$error = '<p>Your Webfolio CMS is up-to-date.</p>';
	}
	else {
		$updateCore->update();
		
		$message = 'Webfolio CMS has been successfully updated to version ' . WebfolioCMS_Version::VERSION . '. <br />
		<span style = "font-size: 11px;"><a href = "' . Model_WebfolioSettings::getSettings('site_url') . '">Go back to your site.</a></span>';
		$ok = true;
	}
}
catch (Exception $ex) {
	$error = '<p>An error occurred and Webfolio CMS can not be updated at the moment.</p>';
	$ok = false;
}

include_once(APPLICATION_PATH . '/modules/admin/views/scripts/update/index.phtml'); 
?>