<?php
/**
 * Webfolio CMS
 *
 * Copyright (C) 2009 Nikola Posa (http://www.nikolaposa.in.rs)
 *
 * This file is part of Webfolio CMS.
 *
 * Webfolio CMS is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or 
 * (at your option) any later version.
 *
 * Webfolio CMS is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with Webfolio CMS. If not, see <http://www.gnu.org/licenses/>.
 */
 
/**
 * Webfolio CMS initialization.
 *
 * @author Nikola Posa <posa.nikola@gmail.com>
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License
 */
  
//Define base path and path to application directory.
define('BASE_PATH', realpath(dirname(__FILE__)));
define('APPLICATION_PATH', BASE_PATH . '/app');

//Define application environment.
defined('APPLICATION_ENV')
    || define('APPLICATION_ENV', (getenv('APPLICATION_ENV') ? getenv('APPLICATION_ENV') : 'production'));
										 
//Setting include path.
set_include_path('.' . PATH_SEPARATOR . BASE_PATH . '/libs' 
	. PATH_SEPARATOR . BASE_PATH . '/libs/ZendFramework/library'
	. PATH_SEPARATOR . BASE_PATH . '/libs/ZendFramework/extras/library'
	. PATH_SEPARATOR . BASE_PATH . '/libs/PEAR'
    . PATH_SEPARATOR . get_include_path());
	

//Making sure that all slashes are stripped.
if (get_magic_quotes_gpc()) {
    function stripslashes_gpc(&$value)
    {
        $value = stripslashes($value);
    }
    if (isset($_GET)) { array_walk_recursive($_GET, 'stripslashes_gpc'); }
    if (isset($_POST)) { array_walk_recursive($_POST, 'stripslashes_gpc'); }
    if (isset($_COOKIE)) { array_walk_recursive($_COOKIE, 'stripslashes_gpc'); }
}
?>